c++-gtk-utils

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Cgu::ScopedHandle Member List

This is the complete list of members for Cgu::ScopedHandle, including all inherited members.

get() const noexcept | Cgu::ScopedHandle | inline
operator T() const noexcept | Cgu::ScopedHandle | inline
operator=(const ScopedHandle &)=delete | Cgu::ScopedHandle |
operator=(ScopedHandle &&sc_hand) | Cgu::ScopedHandle | inline
release() noexcept | Cgu::ScopedHandle | inline
reset(T ptr=0) | Cgu::ScopedHandle | inline
ScopedHandle(const ScopedHandle &)=delete | Cgu::ScopedHandle |
ScopedHandle(ScopedHandle &&sc_hand) noexcept | Cgu::ScopedHandle | inline
ScopedHandle(T ptr=0) noexcept | Cgu::ScopedHandle | inline explicit
~ScopedHandle() | Cgu::ScopedHandle | inline